/*++++++++++++++++++++++++++++++++++++++*/
/* for linux only						*/
/*++++++++++++++++++++++++++++++++++++++*/

#ifndef SEDAC_H
#define SEDAC_H

#define  _RBE     0x01  /* Old value 0x08! receiver buffer NOT empty */
#define   ERRALL  0xe0  /* 0x20 = RERRA (RERRB) - Responce bit error A (B)
                           0x40 = FERRA (FERRB) - Frame error A (B)
                           0x80 = PERRA (PERRB) - Parity error A (B)
                           all together */ 
#define READ    1
#define WRITE   -1

#define u16   unsigned short

typedef struct
{
  u16 csr, /* (0) CSR - Control Status (Register,Reset,Receiver...?) (W) */
      igr, /* (2) IG Interrupt Generation (Vector) and/or IP_Status      */
      dat, /* (4) DATA register                   (W),(R)                */
      cmd; /* (6) CMD -Write only, TGS -Read only                        */
} SEDAC_LINE;

typedef struct
{
  u16 *csa,         /* pointer to SEDAC crate + subaddress          */
      *data,        /* pointer to read/write data array             */
      *error;       /* pointer to error table                       */
} SedacInfo;

/* ===================================================================*/

int sedac(int ln, u16 csa, int RWF, u16 *data, int nwords);
void sedac4(SedacInfo *sedacList, int RWF, int num, int (*fcn)(int));
int wsedac(u16 ln, u16 crate, u16 subadd, u16 data);
int rsedac(u16 ln, u16 crate, u16 subadd, u16 *data);
int rsedacAsync(u16 ln,u16 crate,u16 subadd);
int rsedacPoll(u16 ln,u16 *data);
int F_addr(int *naddr, int rwflag, u16 ln, u16 crate);
int F_crates(int *ncrates, int rwflag, u16 ln);
void initSedac(void);
int cmdReadSedac(int ln,int cr,int sa,int dummy);
int cmdWriteSedac(int ln,int cr,int sa,int val);
int cmdAddr(int ln,int cr,int sa,int access);
int cmdCrates(int ln,int cr,int sa,int access);


extern int nlines;
extern SEDAC_LINE volatile *line[4];
extern int nSedacLines;
extern int SedacSimulate;

#endif SEDAC_H





































