#ifndef SEDACSRV_H_
#define SEDACSRV_H_

typedef struct
{
  short cra;
  short bsa;
} SedacReadArg;

typedef struct
{
  short cra;
  short bsa;
  long  val;
} SedacWriteArg;

#define MAX_REMOTE_PACK_SIZE 233
typedef struct
{
  short cra[MAX_REMOTE_PACK_SIZE+1];
  short bsa[MAX_REMOTE_PACK_SIZE+1];
  short PackLen;
} SedacPackReadArg;

typedef struct
{
  short reply[MAX_REMOTE_PACK_SIZE+1];
  short PackReadData[MAX_REMOTE_PACK_SIZE+1];
} SedacPackReadRet;

typedef struct
{
  short cra[MAX_REMOTE_PACK_SIZE+1];
  short bsa[MAX_REMOTE_PACK_SIZE+1];
  short PackWriteData[MAX_REMOTE_PACK_SIZE+1];
  short PackLen;
} SedacPackWriteArg;

typedef struct
{
  short reply[MAX_REMOTE_PACK_SIZE+1];
} SedacPackWriteRet;

typedef struct
{
  short cra[MAX_REMOTE_PACK_SIZE+1];
  short bsa[MAX_REMOTE_PACK_SIZE+1];
  short PackWriteData[MAX_REMOTE_PACK_SIZE+1];
  short mode[MAX_REMOTE_PACK_SIZE+1];
  short PackLen;
} SedacPackMixArg;

typedef struct
{
  short reply[MAX_REMOTE_PACK_SIZE+1];
  short PackReadData[MAX_REMOTE_PACK_SIZE+1];
} SedacPackMixRet;

extern SedacReadArg SedacRdArgument;
extern SedacWriteArg SedacWrArgument;
extern SedacErcArg SedacGetErcArgument;
extern SedacPackReadArg SedacPackRdArgument;
extern SedacPackReadRet SedacPackRdReturn;
extern SedacPackWriteArg SedacPackWrArgument;
extern SedacPackWriteRet SedacPackWrReturn;
extern SedacPackMixArg SedacPackMxArgument;
extern SedacPackMixRet SedacPackMxReturn;

#define PRP_SEDACREAD     1
#define PRP_SEDACWRITE    2
#define PRP_SEDACPACKRD   3
#define PRP_SEDACPACKWR   4
#define PRP_SEDACPACKMX   5

#endif // SEDACSRV_H_
