#include "sedac.h"
#include "sedacsvr.h"

SedacReadArg SedacRdArgument;
SedacWriteArg SedacWrArgument;
SedacPackReadArg SedacPackRdArgument;
SedacPackReadRet SedacPackRdReturn;
SedacPackWriteArg SedacPackWrArgument;
SedacPackWriteRet SedacPackWrReturn;
SedacPackMixArg SedacPackMxArgument;
SedacPackMixRet SedacPackMxReturn;

int sedeqm(char *devName,char *devProperty,DTYPE *dout, DTYPE *din,short access){
  int devnr,prpid,i,cc;
  long ldat;
  u16 dat;

  devnr = GetDeviceNumber("SEDEQM",devName);
  if (devnr < 0) return illegal_equipment_number;

  prpid = GetPropertyId("SEDEQM",devProperty);
 
  switch (prpid)
  {
    case PRP_SEDACREAD:
      if (din == NULL) return argument_list_error;
      if (din->dFormat != CF_STRUCT && 
          din->dArrayLength != sizeof(SedacReadArg)) return illegal_format;
      memcpy(&SedacRdArgument,din->data.vptr,sizeof(SedacReadArg));      
      cc = rsedac(devnr,SedacRdArgument.cra,SedacRdArgument.bsa,&dat);
      if (cc) return sedac_error;
      ldat = dat;
      return putValuesFromLong(dout,&ldat,1);
    case PRP_SEDACWRITE:
      if (din == NULL) return argument_list_error;
      if (din->dFormat != CF_STRUCT && 
          din->dArrayLength != sizeof(SedacWriteArg)) return illegal_format;
      memcpy(&SedacWrArgument,din->data.vptr,sizeof(SedacWriteArg));      
      dat = (u16)SedacWrArgument.val;
      cc = wsedac(devnr,SedacWrArgument.cra,SedacWrArgument.bsa,dat);
      return cc ? sedac_error : 0;
    case PRP_SEDACPACKRD:
      break;
    case PRP_SEDACPACKWR:
      break;
    case PRP_SEDACPACKMX:
      break;
    default:
        return illegal_property;
  }
}
