# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI     CC = cc         CCL = cc         LM = -lm
# OSF     CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

CC = cc -c
CCL = cc
LM = -lm

rpcsrv: rpcserv.o server.o srvip.o iplib.o dblib.o sinsrv.o err_list.o almsrv.o unixcmd.o syslib.o swaplib.o covercln.o
	${CCL} -o rpcsrv rpcserv.o server.o srvip.o iplib.o dblib.o sinsrv.o err_list.o almsrv.o unixcmd.o syslib.o swaplib.o covercln.o ${LM}

rpcserv.o:  rpcserv.c servdef.h prolog.h project.def
	${CC} rpcserv.c

server.o:  server.c servdef.h prolog.h errors.h brdcast.h swaplib.h project.def
	${CC} server.c

srvip.o: srvip.c servdef.h prolog.h srvip.h errors.h project.def
	${CC} srvip.c

iplib.o: iplib.c servdef.h prolog.h srvip.h errors.h project.def 
	${CC} iplib.c

almsrv.o: almsrv.c almsrv.h servdef.h prolog.h errors.h project.def
	${CC} almsrv.c

dblib.o:  dblib.c database.h errors.h prolog.h project.def
	${CC} dblib.c

swaplib.o:  swaplib.c swaplib.h errors.h prolog.h project.def
	${CC} swaplib.c

covercln.o:  covercln.c servdef.h prolog.h project.def
	${CC} covercln.c

sinsrv.o: sinsrv.c rpctypes.h
	${CC} sinsrv.c

err_list.o: err_list.c errors.h
	${CC} err_list.c

unixcmd.o: unixcmd.c prolog.h servdef.h unixcmd.h project.def
	${CC} unixcmd.c 

syslib.o: syslib.c prolog.h servdef.h errors.h
	${CC} syslib.c 

clean:
	rm rpcsrv rpcserv.o server.o srvip.o dblib.o sinsrv.o unixcmd.o syslib.o covercln.o
